# Uses of Enum
org.apache.commons.math3.geometry.partitioning.Region.Location

Packages that use Region.Location
Package
Description
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.

## Uses of Region.Location in org.apache.commons.math3.geometry.euclidean.oned

Methods in org.apache.commons.math3.geometry.euclidean.oned that return Region.Location
Modifier and Type
Method
Description
`Region.Location`
Interval.`checkPoint(double point, double tolerance)`
Check a point with respect to the interval.

## Uses of Region.Location in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return Region.Location
Modifier and Type
Method
Description
`protected Region.Location`
AbstractRegion.`checkPoint(BSPTree<S> node, Point<S> point)`
Check a point with respect to the region starting at a given node.
`protected Region.Location`
AbstractRegion.`checkPoint(BSPTree<S> node, Vector<S> point)`
Check a point with respect to the region starting at a given node.
`Region.Location`
AbstractRegion.`checkPoint(Point<S> point)`
Check a point with respect to the region.
`Region.Location`
AbstractRegion.`checkPoint(Vector<S> point)`
Check a point with respect to the region.
`Region.Location`
Region.`checkPoint(Point<S> point)`
Check a point with respect to the region.
`static Region.Location`
Region.Location.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Region.Location[]`
Region.Location.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Region.Location in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return Region.Location
Modifier and Type
Method
Description
`Region.Location`
Arc.`checkPoint(double point)`
Check a point with respect to the arc.